#|

src/documentation.lisp

DOCUMENTATION-UTILS helpers.

Currently not in use.

The intention of this file was to provide supplimental documentation.

|#

(in-package #:cl-deck-builder2)

(setf docs.ext:*documentation*
      (docs.ext:make-documentation-collection))

(defclass my-formatter (documentation-utils-extensions:rich-aggregating-formatter)
  ())

(docs:define-docs
  :formatter my-formatter)

(defun find-undocumented-packages ()
  (mapcar
   (lambda (pkg)
     (documentation-utils:check :package (find-package pkg)))
   '(cl-deck-builder2
     cl-deck-builder2-test
     cl-deck-builder2.app
     cl-deck-builder2.db
     cl-deck-builder2.draw
     cl-deck-builder2.toolkit
     cl-deck-builder2.models
     cl-deck-builder2.models.ygoprodeck
     cl-deck-builder2.models.user
     cl-deck-builder2.models.ydk
     cl-deck-builder2.models.crystal-commerce
     cl-deck-builder2.models.feedback
     cl-deck-builder2.web)))
