#|

User Feedback Module

TODO User Messaging Module

|#

(in-package #:cl-deck-builder2.models.feedback)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defclass feedback ()
  ((user :accessor feedback-user-of
         :col-type user
         :initarg :user)
   (body :accessor feedback-body-of
         :col-type :text
         :initarg :body))
  (:metaclass registered-table-class))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(defgeneric create-feedback (user body)
  (:documentation "Use CREATE-DAO to construct a new FEEDBACK instance. Return the instance, if successful, NIL otherwise.")
  (:method ((user user) (body string))
    (create-dao 'feedback
                :user user
                :body body)))
