#|

tests/cl-deck-builder2.lisp

Main Test Entry Point

|#

(in-package :cl-deck-builder2-test)

(deftest cl-deck-builder2-test-suite
  (testing "Test Suite Is Online"
    (ok (= 1 1))))

(deftest cl-deck-builder2.toolkit.money
  (let ((+currency+ '(0.01 0.91 1.91 16.60 99.999))
        (+currency-expect-deflate+ '(1 91 191 1660 10000))
        (+currency-expect-inflate+ '("0.01" "0.91" "1.91" "16.60" "100.00")))
    (testing "currency-deflate"
      (ok
       (equal +currency-expect-deflate+
              (mapcar #'currency-deflate +currency+))))
    (testing "currency-inflate"
      (ok (equal +currency-expect-inflate+
                 (mapcar (alexandria:compose #'currency-inflate #'currency-deflate) +currency+))))))
