(asdf:defsystem "cl-deck-builder2.workers"
  :version "0.0.1"
  :author "Bubblegumdrop"
  :license "Do Not Redistribute"
  :depends-on (
               ;; "clack"
	       ;; "lack"
	       ;; "caveman2"
	       ;; "envy"
	       ;; "cl-ppcre"
	       ;; "uiop"

	       ;; for @route annotation
	       ;; "cl-syntax-annot"

	       ;; HTML Template
	       ;; "djula"

	       ;; for DB
	       "mito"
	       "mito-attachment"
	       "datafly"
	       "sxql"

	       ;; for Models
	       "assoc-utils" ; AGET is very handy
	       "cl-csv" ; CSV import
	       "cl-json" ; JSON import
	       "cl-pass" ; Password hashing
	       "local-time"
	       "split-sequence"

	       ;; Documentation!
	       ;; "documentation-utils"
	       ;; "documentation-utils-extensions"
	       ;; "cl-org-mode"

	       ;; More of Shinmeraa's code
	       ;; "ratify"

	       ;; QR Code Generator
	       ;; "lispqr"

	       ;; Download stuff
	       ;; "trivial-download"

	       ;; Error Handling
	       ;; "lack-middleware-clack-errors"

               ;; Better logging
               ;; "verbose"

               ;; WebSocket chat server backend
               ;; "websocket-driver"
               ;; "lack-middleware-csrf"

               ;; "cl-markup"
               "hermetic"

               "inferior-shell"

               ;; Background job processing
               "psychiq")
  :components ((:module "src/workers"
		:components
		((:file "main"))))
  :description "Deck Builder Project - Background Job Workers"
  :in-order-to ((test-op (test-op "cl-deck-builder2.workers-test"))))
