# Backend Changes
- [Done] Abritrary drag and drop (e.g. from main deck -> extra deck)
- [Done] optimum qty - cards in decks
- [Done] The "Optimum Qty" is "The number of times the card appears in
         each deck (e.g. 3) times the number of decks it appears in times
         5". I think that's just SELECT COUNT(PASSCODE) ? And for
         constructed decks it would be the same.

- [In Progress] Constrcuted-Deck-Overview
- [In Progress] Storing / Saving / Updating optimum Qty
- [In Progress] Number in inventory of this card - what is this? The total SUM count from all YGO-SET-ITEMs?
- [In Progress] Created / Sold status - I think this is done already...
- [In Progress] Inverse Priority system (more cards = sell more, less cards = hold more)

- [ ] Arbitrary inventories (Secondary Inventory, ...)

# Categories

- [In Progress] Better UI
- [ ] Show Decks from "subcategories" of current Category

# Database
- [Done] Yu-Gi-Oh
    - [Not Implemented] Images from CrystalCommerce
      We just got API access too.

    - [Not Implemented] Attach card image to specific card
      Nobody seemed to want to upload card images individiually.
      
    - [Done] Qty of card: number of times card appears in decks x multiplier (default x1)
      This is implemented but it doesn't display on the web frontend.
      
- [ ] Pokemon
- [ ] Magic

# Constructed Deck Overview

- [ ] TODO

# Inventory

We deleted the Crystal Commerce stuff. Maybe it will make a comeback.

# UI Improvements
- [In progress] Many, many, many, subtle UI bugs...

- [ ] Deck-Overview shows:
  - [ ] constructed Decks based on this deck
  - [ ] sold decks
  - [ ] Use this information x a multiplier to construct "optimal qty." of cards to keep in stock.
- [ ] Deck Builder Sub children category

# Other

- [ ] Constructed Deck Overview Panel
- [ ] when its sold and how often it sells based on deck sells
- [ ] Remove Category removes decks from category
- [ ] Peronsalized decks via inventory qty
- [ ] CC API for DB Connect
- [ ] Output to text / CSV
- [ ] Environment variable for translation WITH-LOCALE

# Not Implemented Yet
- [ ] Import new stuff from Crystal Commerce on the Web UI
- [ ] Export to CSV for TCGPlayer Card Sorting Machines
- [ ] Sync with our App - TCG Machines? I looked into their stuff. It
      looks very proprietary. Perhaps I should take a look at it.

Check your notepad for notes
